

<div id="glavniKontejner">

    <div id="formaPretraga">
    <form id="pretragaPoMetapodacima"  (ngSubmit)="onSubmit(f)"  #f="ngForm" >
    
        <div id="podaciOPodnosiocuZahteva">
            
            <fieldset class="fieldsetPretragaPoMetapodacima">
                <h3> Pretraga po podacima o podnosiocu zahteva: </h3>
    
                Tip podnosioca zahteva: 
                <br/>
                <input
                  type="radio" id="one" class="radio" name="podnosilacTipDugmic"
                  value="FIZICKO_LICE"
                  (change) = handleChangeRadioButton($event)
                  required
                />
                Fizicko lice <br />
                <input
                  type="radio" id="two" class="radio" name="podnosilacTipDugmic"
                  value="PRAVNO_LICE"
                  (change) = handleChangeRadioButton($event)
                  required
                />
                Pravno lice <br />
                
                
                <div *ngIf="selektovanTipPodnosiocaFizickoLice==true">
                    
                    <div class="kontejnerForma">
                        <p>Pretraga po imenu i prezimenu: </p>
                        <div class="podkontejner" id="prviPod">
                            <label for="imeFizickoLicePodnosilac">Ime: </label>  <br>
                            <input  type="text" name="imeFizickoLicePodnosilac" [(ngModel)]="imePretraga" class="inputDvoredi"/> 
                        </div>
    
                        <div class="podkontejner" id="prviPod">
                            <label for="prezimeFizickoLicePodnosilac">Prezime: </label> <br>
                            <input  type="text" name="prezimeFizickoLicePodnosilac"[(ngModel)]="prezimePretraga" class="inputDvoredi"/>
                            <button  class="dugmic" type="button" (click)="pretragaPoImenuIPrezimenu($event)">Pretrazi</button>
                        </div>    
                        
                    </div>
                </div>
                <br/>
                <div *ngIf="selektovaniTipPodnosiocaPravnoLice==true">
                    
                    
                    <div class="podkontejner" id="prviPodCeo">
                        <label for="pravnoLicePoslovnoIme">Pretraga po poslovnom imenu:</label> <br/>
                        <input type="text" name="pravnoLicePoslovnoIme" [(ngModel)]="poslovnoImePretraga" class="inputDvoredi"/>
                        <button  class="dugmic" (click)="pretragaPoPoslovnomImenu($event)">Pretrazi</button>
                    </div>
                    
                </div>
                <br/>
    
                <div class="kontejnerForma">
                    <div class="podkontejner" id="prviPod">
                        <label for="emailPodnosilac">Pretraga po e-mailu: </label><br>
                        <input type="text" name="emailPodnosilac"  [(ngModel)]="emailPretraga" class="inputDvoredi"/>
                        <button  class="dugmic" (click)="pretragaPoEmailu($event)">Pretrazi</button>
                    </div>
                    
                </div>
                <br/>
    
                <div class="kontejnerForma">
                    <div class="podkontejner" id="prviPod">
                        <label for="brojPrijaveZahteva">Pretraga po broju prijave zahteva: </label><br>
                        <input type="text" name="brojPrijaveZahteva"  [(ngModel)]="brojPrijave" class="inputDvoredi"/>
                        <button  class="dugmic">Pretrazi</button>
                    </div>
                    
                </div>
                <br/>
                
                <br/>
                <div class="kontejnerForma">
                    <div class="podkontejner" id="prviPod">
                        <label for="naslovDela">Naslov autorskog dela: </label> <br>
                        <input type="text" name="naslovDela" [(ngModel)]="naslovDelaPretraga" class="inputDvoredi"/>
                        <button  class="dugmic" (click)="pretragaPoNaslovuDela($event)">Pretrazi</button>
                    </div>
                    <br/>
    
                    <div class="podkontejner" id="drugiPod">
                        <label for="alternativniNaslov">Alternativni naslov autorskog dela: </label><br>
                        <input type="text" name="alternativniNaslov" [(ngModel)]="alternativniNaslovDelaPretraga" class="inputDvoredi"/>
                        <button  class="dugmic" (click)="pretragaPoAlternativnomNazivuDela($event)" >Pretrazi</button>
                    </div>
                    <br/>
    
                    <div class="podkontejner" id="treciPod">
                        <label for="izabranaVrstaDela">Vrsta dela: </label> <br>
                        <select name="izabranaVrstaDela" [ngModel]="vrsteDelaIzb" class="inputSelect" (change)="changeIzabraneVrsteDela($event)">
                            <option selected [ngValue]=""></option>
                            <option *ngFor="let k of vrsteDelaIzb" [ngValue] = "k">
                                {{k}}
                            </option>
                        </select>
                        <button  class="dugmic">Pretrazi</button>
                    </div>
    
                </div>
    
                <br/>
                <div id="dodatnePretragePoMetapodacima">
    
                    <button class="dugmic" (click)="pretragaAND($event)">AND pretraga</button>
                    <button class="dugmic" (click)="pretragaOR($event)">OR pretraga</button>
                    <button class="dugmic" >NOT pretraga</button>
    
                </div>
    
    
            </fieldset>
        </div>
    </form>
    </div>
    
    
    <div id="prikazRezultataPretrage">
    
        <div *ngIf="this.vrsteDelaIzb.length>0">
            <ul class="listaRezultata" >
                <li *ngFor="let l of this.rezultatiPretrage">
                  <h2> {{l.podaci_o_autorskom_delu.naslovDela}}</h2>
                  <p>Dokument id: <strong>{{l.dokument_id }} </strong></p>
                  
                  <p >
                    Info o podnosiocu>> 
                        Podnosilac ime: <strong>{{l.podaci_o_podnosiocu_zahteva.fizickoLice.ime}} </strong>,          
                         e-mail <strong>{{l.podaci_o_podnosiocu_zahteva.email}} </strong>
                  </p>
                  
                  
                  
                  <button id="{{l.dokument_id}}" type="button" class="dugmePregledaj" (click)="pregledajDokumentKlik($event)"> Pregledaj dokument</button>
                </li>
                
              </ul>
        </div>
        
    </div>
    </div>